"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextInputStyle = exports.TextInputBuilder = void 0;
const v10_1 = require("discord-api-types/v10");
Object.defineProperty(exports, "TextInputStyle", { enumerable: true, get: function () { return v10_1.TextInputStyle; } });
const discord_js_1 = require("discord.js");
class TextInputBuilder extends discord_js_1.TextInputBuilder {
    type = v10_1.ComponentType.TextInput;
    custom_id;
    style;
    label;
    min_length;
    max_length;
    placeholder;
    value;
    required;
    constructor(data) {
        super();
        this.custom_id = data.custom_id;
        this.style = data.style;
        this.label = data.label;
        this.min_length = data.min_length;
        this.max_length = data.max_length;
        this.placeholder = data.placeholder;
        this.value = data.value;
        this.required = data.required;
    }
}
exports.TextInputBuilder = TextInputBuilder;
