"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmbedBuilder = void 0;
const discord_js_1 = require("discord.js");
class EmbedBuilder extends discord_js_1.EmbedBuilder {
    title;
    description;
    url;
    color;
    timestamp;
    footer;
    image;
    thumbnail;
    author;
    fields;
    constructor(data) {
        super(data);
        if (typeof data?.image === "string") {
            this.setImage(data.image);
        }
    }
}
exports.EmbedBuilder = EmbedBuilder;
